package com.yeejoin.amos.boot.module.jxiop.api.Enum;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 *            【 此类弃用  】
 */
@Getter
@AllArgsConstructor
public enum QrcodePostEnum {
    ZZ("站长", "登高证,调度证,高压电工证"),
    FZZ("副站长", "登高证,调度证,高压电工证"),
    JXBZ("检修班长", "登高证,高压电工证"),
    JXY("检修员", "登高证,高压电工证"),
    YWZZ("运维值长", "登高证,调度证,高压电工证"),
    YWY("运维员", "登高证,调度证,高压电工证"),
    CS("厨师", "健康证"),
    AQY("安全员", "安全员证"),
    SJ("司机", "驾照"),
    XFY("消防员", "消防设施操作证");


    private String name;
    private String code;

    public static String getCode(String name) {

        for (QrcodePostEnum qrcodePostEnum : QrcodePostEnum.values()) {
            if (qrcodePostEnum.getName().equals(name)) {
                return qrcodePostEnum.getCode();
            }
        }
        return null;
    }
}
